DynFlags

# Dynamic flags and associated configuration types

data DynFlag
data DynFlags
data HscTarget
isObjectTarget
defaultObjectTarget
data GhcMode
isOneShot
data GhcLink
isNoLink
data PackageFlag
data Option
data DynLibLoader
fFlags
xFlags
dphPackage

## Manipulating DynFlags

defaultDynFlags
initDynFlags
dopt
dopt_set
dopt_unset
getOpts
getVerbFlag
getMainFun
updOptLevel
setTmpDir
setPackageName

## Parsing DynFlags

parseDynamicFlags
parseDynamicNoPackageFlags
allFlags
supportedLanguages
languageOptions

## DynFlag C compiler options

machdepCCOpts
picCCOpts

# Configuration of the core-to-core passes

data CoreToDo
data SimplifierMode
data SimplifierSwitch
data FloatOutSwitches
getCoreToDo

# Configuration of the stg-to-stg passes

data StgToDo
getStgToDo

# Compiler configuration suitable for display to the user

compilerInfo